import fastapi as fa

from .ctrl import ProductController


router = fa.APIRouter(prefix='/products', tags=['Product'])
ctrl = ProductController()


@router.post('')
async def create_product(
        image: fa.UploadFile,
        name: str = fa.Form(...),
        description: str = fa.Form(None),
        price: float = fa.Form(...)
):
    return await ctrl.create(name=name, description=description, price=price, image=image)
